Bug 782621 - xrdp: predictable temporary files may lead to arbitrary file overwrite [epel-all]
xrdp: predictable temporary files may lead to arbitrary file overwrite [epel-...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: xrdp (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: 782619
  Show dependency treegraph
 
Reported: 2012-01-17 18:22 EST by Vincent Danen
Modified: 2015-10-26 08:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: xrdp-0.6.1-2.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-07 14:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-17 18:22:40 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=782619

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 pjp 2014-11-01 05:58:02 EDT
The upstream fixes seem to be available since long

  -> https://bugzilla.redhat.com/show_bug.cgi?id=782619#c2

Could you please have a look?
Comment 2 pjp 2014-11-13 09:30:10 EST
Hello Itamar, you plan to fix it?
Comment 3 Orion Poplawski 2014-12-05 12:23:09 EST
Bojan - perhaps you could push an epel update as well?
Comment 4 Fedora Update System 2014-12-09 21:43:44 EST
xrdp-0.6.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-1.el5
Comment 5 Fedora Update System 2014-12-09 21:43:50 EST
xrdp-0.6.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-1.el6
Comment 6 Fedora Update System 2014-12-11 01:26:52 EST
Package xrdp-0.6.1-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xrdp-0.6.1-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4527/xrdp-0.6.1-1.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-01-07 14:31:19 EST
xrdp-0.6.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-01-07 14:32:11 EST
xrdp-0.6.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.